package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOrderRefundListBatchQueryRefundRequest struct {
	/*
	   结束时间，必填     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   下单终端：APP/POS，非必填     */
	OrderClient *string `json:"order_client,omitempty" `

	/*
	   页码，从0开始，必填     */
	PageIndex *int64 `json:"page_index,omitempty" `

	/*
	   页大小，必填 defalutValue:0    */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   开始时间，必填     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   店铺ID列表，order_from=4时必填，其他非必填     */
	StoreIds *[]string `json:"store_ids,omitempty" `

	/*
	   废弃字段     */
	SyncStatus *string `json:"sync_status,omitempty" `

	/*
	   渠道来源 3：饿了么 4：盒马&淘鲜达 20：商家自有渠道，必填     */
	OrderFrom *int64 `json:"order_from,omitempty" `

	/*
	   渠道店id，order_from=4时非必填，其他必填     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   经营店id，非必填     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   aelophy 翱象商家必填     */
	BizType *string `json:"biz_type,omitempty" `
}

func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetEndTime(v util.LocalTime) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetOrderClient(v string) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.OrderClient = &v
	return s
}
func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetPageIndex(v int64) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.PageIndex = &v
	return s
}
func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetPageSize(v int64) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetStartTime(v util.LocalTime) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetStoreIds(v []string) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.StoreIds = &v
	return s
}
func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetSyncStatus(v string) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.SyncStatus = &v
	return s
}
func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetOrderFrom(v int64) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetShopId(v string) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetStoreId(v string) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkOrderRefundListBatchQueryRefundRequest) SetBizType(v string) *AlibabaWdkOrderRefundListBatchQueryRefundRequest {
	s.BizType = &v
	return s
}
